Bug 1893427 - Verbose debugging enabled by default
Summary: Verbose debugging enabled by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-31 10:51 UTC by Dor
Modified: 2020-12-23 01:09 UTC (History)
4 users (show)

Fixed In Version: chromium-86.0.4240.183-1.fc33 chromium-87.0.4280.66-1.fc32 chromium-87.0.4280.88-1.el8 chromium-87.0.4280.88-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-14 01:12:01 UTC
Type: Bug


Attachments (Terms of Use)
/usr/lib64/chromium-browser/chromium-browser.sh from chromium-85.0.4183.121-1 (2.57 KB, application/x-shellscript)
2020-10-31 10:51 UTC, Dor
no flags Details

Description Dor 2020-10-31 10:51:00 UTC
Created attachment 1725501 [details]
/usr/lib64/chromium-browser/chromium-browser.sh from chromium-85.0.4183.121-1

Description of problem:
Verbose debugging (--enable-logging=stderr --v=2) appears to be enabled by default in /usr/lib64/chromium-browser/chromium-browser.sh.

Version-Release number of selected component (if applicable):
chromium-85.0.4183.121-1
System repository
Fedora 33

How reproducible:
Always

Steps to Reproduce:
1. Install chromium-85.0.4183.121-1
2. Open /usr/lib64/chromium-browser/chromium-browser.sh
3. Notice "--enable-logging=stderr --v=2" under CHROMIUM_DISTRO_FLAGS.

Actual results:
Verbose logging is enabled by default.

Expected results:
Verbose logging should be disabled by default.

Additional info:
* Attached my /usr/lib64/chromium-browser/chromium-browser.sh

Comment 1 Tom "spot" Callaway 2020-11-02 14:36:40 UTC
Yeah, that's not supposed to be on by default. There was a typo in a conditional in the spec file resulting in this always being set, will be fixed in -2.

Comment 2 Fedora Update System 2020-11-09 15:22:18 UTC
FEDORA-EPEL-2020-f16789146a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f16789146a

Comment 3 Fedora Update System 2020-11-09 15:22:19 UTC
FEDORA-EPEL-2020-d4f217c4a3 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d4f217c4a3

Comment 4 Fedora Update System 2020-11-09 15:23:42 UTC
FEDORA-2020-4e8e48da22 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e8e48da22

Comment 5 Fedora Update System 2020-11-09 15:23:43 UTC
FEDORA-2020-084faa7c33 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-084faa7c33

Comment 6 Fedora Update System 2020-11-10 01:33:46 UTC
FEDORA-EPEL-2020-d4f217c4a3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d4f217c4a3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-10 01:54:14 UTC
FEDORA-2020-084faa7c33 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-084faa7c33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-084faa7c33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-10 02:00:48 UTC
FEDORA-EPEL-2020-f16789146a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-f16789146a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-11-10 02:19:38 UTC
FEDORA-2020-4e8e48da22 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4e8e48da22`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e8e48da22

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-11-10 02:20:08 UTC
FEDORA-2020-34480f4151 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-34480f4151`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-34480f4151

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-11-14 01:12:01 UTC
FEDORA-2020-4e8e48da22 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-11-17 02:05:41 UTC
FEDORA-2020-574de90f50 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-574de90f50`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-574de90f50

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-11-17 02:12:21 UTC
FEDORA-EPEL-2020-3097b2d5db has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-3097b2d5db

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-11-17 02:27:07 UTC
FEDORA-2020-dca3a4954f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-dca3a4954f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dca3a4954f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-11-17 02:27:36 UTC
FEDORA-EPEL-2020-5b5debb24b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-5b5debb24b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-11-21 02:46:31 UTC
FEDORA-2020-3e005ce2e0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3e005ce2e0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3e005ce2e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-11-24 01:22:38 UTC
FEDORA-2020-3e005ce2e0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-11-24 01:42:22 UTC
FEDORA-EPEL-2020-a45bb612b3 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a45bb612b3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-11-24 01:52:47 UTC
FEDORA-EPEL-2020-ca501b4c5b has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ca501b4c5b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2020-12-08 00:21:22 UTC
FEDORA-EPEL-2020-2f9004588a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-2f9004588a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2020-12-08 00:26:21 UTC
FEDORA-EPEL-2020-37ef75d1ce has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-37ef75d1ce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2020-12-23 00:34:17 UTC
FEDORA-EPEL-2020-37ef75d1ce has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-12-23 01:09:35 UTC
FEDORA-EPEL-2020-2f9004588a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.